% approssimazione della funzione di Runge con polinomi
% globali e con interp1 (spline)
%
function vale=interp_runge(n)
a=-5; b=5;
k=1000; % numero di punti usati per la ricostruzione
x=linspace(a,b,n+1);
y=frunge(x);
xx=linspace(a,b,k);
yf=frunge(xx);
% nodi equispaziati
lagrange(x,@(x)frunge(x),1,1);
% nodi di chebyshev
x=cheb(n);
lagrange(x,@(x)frunge(x),1,2);
% interp1 (nodi equispaziati)
x=linspace(a,b,n+1);
figure(3)
clf
metodi=['n'; 'l'; 's'];
for i=1:length(metodi)
    pause
    clf
    set(3,'defaultlinelinewidth',3)
    set(3,'defaultlinemarkersize',10)
    set(3,'defaultaxesfontsize',15)
    p=interp1(x,y,metodi(i),'pp');
    yp=ppval(p,xx);
    plot(xx,yf,xx,yp)
    hold on;
    plot(x,y,'ro')
    title(['n=' num2str(n) ', metodo ' metodi(i)],'fontsize',20)
end
