function [c,iter,err]=bisez(a,b,fun,tol)
%
% in ingresso: a, b, fun (data come function o come @(x) o come inline)
%              tol per il test di arresto (stesso tol per residuo e ampiezza intervallo)
%
% in uscita:   c (lo zero), iter, err (il residuo)
figure(1)
clf
set(1,'defaultlinelinewidth',3)
set(1,'defaultlinemarkersize',10)
set(1,'defaultaxesfontsize',15)
fplot(fun,[a b])
hold on;
plot([a b],[0 0],'g')
%
fa=fun(a); fb=fun(b);
plot([a b],[0 0],'*r')
if fa*fb>0
  fa
  fb
  error('il medodo di bisezione non si puo'' applicare')
elseif fa==0
  error('lo zero e'' nel primo estremo')
elseif fb==0
  error('lo zero e'' nel secondo estremo')
end
%
nmax=ceil(log2((b-a)/tol));
%
iter=0;
%
while iter<nmax
  c=(a+b)/2;
  fc=fun(c);
%
  plot(c,0,'k*')
  pause
%
  err=abs(fc);
  if err<tol
    break;
  elseif fa*fc<0
    b=c;
    fb=fun(b);
    plot(b,0,'r*')
  else
    a=c;
    fa=fun(a);
    plot(a,0,'r*')
  end
  iter=iter+1;
end
%
if iter==nmax
  display('ho completato tutte le iterazioni')
else
  display(['test di arresto sul residuo soddisfatto dopo ',num2str(iter+1),' iterazioni']);
end
